Getting new error while trying to verify my wallet ( Error: Region not supported )

I am getting a error message like this

" Error: Region not supported
"
Unfortunately, your Brave Rewards cannot be verified because your region is not supported for Brave Rewards verification at this time.

Has anyone experienced this .

PS: This is my second device which i am trying to connect ,but i am not able as this error persists.

1 Like

What country are you from? There have been recent changes in regions supported, especially with Brave-Gemini. Posting links to notices by moderators and a Help Center topic below.

Supported Country Changes:
NOTICE: New region restrictions on verifying Brave Rewards with Gemini

You can find other recent notices at the end of the User Solutions: 1.39.x topic under Supported Country Changes.

1 Like

India temporary unsupported with your recent updated. That’s why I am also getting same error.

Please fixed the issue ASAP.

1 Like

From India .
I See no verification is possible for both Uphold & Gemini

:sleepy: :sleepy:

I hope they resolve this problem very soon

Me too! There have been lots of changes across the board in the crypto world and not just with Brave and custodial providers. I think the uncertainty with regulations and related governmental oversight is causing a lot of upheaval then add the whole fraud and hacking issues and the risk and instability right now is insane. lol Hopefully, everything will settle down soon and things will start running smoothly. Ah, Utopia, can’t wait! :wink:

from india, i had my account verified before, but when i formatted my pc i had to reinstall it again. after installing brave when i tried to verifyand it was showing this error message. i hope they rectify it soon!